Package org.apache.sysds.runtime.controlprogram.paramserv.rpc

## Class PSRpcObject

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject

Direct Known Subclasses:
  `PSRpcCall`, `PSRpcResponse`

    public abstract class PSRpcObject
    extends Object

### Field Summary

Fields
`static int` `PULL`
`static int` `PUSH`

### Constructor Summary

Constructors
`PSRpcObject()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `deserialize​(ByteBuffer buffer)`
`abstract ByteBuffer` `serialize()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PUSH

    public static final int PUSH

See Also:
  Constant Field Values

#### PULL

    public static final int PULL

See Also:
  Constant Field Values

### Constructor Detail

#### PSRpcObject

    public PSRpcObject()

### Method Detail

#### deserialize

    public abstract void deserialize​(ByteBuffer buffer)
                              throws IOException

Throws:
  `IOException`

#### serialize

    public abstract ByteBuffer serialize()
                                  throws IOException

Throws:
  `IOException`